Alias/3 patch

Ginzanix

Member
Aug 28, 2019
32
49
18
After a bit of research I managed to patch the Advanced Visualizer 4.2 "build_key" to make any time period (10 year etc.) or no expiry licenses. This is great, as build_key works for several packages, including older versions (19 are listed when running build_key).

First use the previously mentioned patch to get the password to generate demo keys:

offset 025b7c change 24c66ff8 to 27a50070.

Later you run build_key and press enter when asked for password to get the password.

Time limited:
For time limited licenses you need to patch the demo key time, here I change the 1-day license which "Licenser" uses when you enter "demo" in the code field.

offset 0115cc change 3c01 0001 3421 5182 to for example 3c01 12ce 3421 a600

"00015182" is 1 day in seconds, "12cea600" is ten years. You should be able to increase this as much as you want, though there may be Y2K issues?

No expiry:
offset 025e58 change 00000000 to 8f868054
offset 025e6c change 02003025 to 24a555c8
offset 025e78 change 2fa570c8 to 24c655cc

Even easier - with this patch "no expire" licenses are always generated.

tvcnoexpire.png
 
Last edited:

kikems

Member
Jul 22, 2020
68
23
8
Spain
You are our new hope for rescue old software. When I have some free time I'll try again install this awesome TAV 4.2.
 
Last edited:

kikems

Member
Jul 22, 2020
68
23
8
Spain
Finally I'd make a fresh install of Irix5.3 and TAV4.2 and finally I can make it works. First I have a stupid problem with date, my batt is out and my SGI lives in 1970 by default, I need change date to 1996 to correctly make demo key. My other stupid problem was I'm using "./build_key -D" and the correct is "./build_key -d" the ID is different when you use -D or -d , in your guide you write "-D".
Now I need try with unlimited time patch.
 
Last edited:
  • Like
Reactions: Ginzanix

Ginzanix

Member
Aug 28, 2019
32
49
18
Finally I'd make a fresh install of Irix5.3 and TAV4.2 and finally I can make it works. First I have a stupid problem with date, my batt is out and my SGI lives in 1970 by default, I need change date to 1996 to correctly make demo key. My other stupid problem was I'm using "./build_key -D" and the correct is "./build_key -d" the ID is different when you use -D or -d , in your guide you write "-D".
Now I need try with unlimited time patch.
Great, let us know if you can get it to work. I had a lot of problems setting up correct paths and got some strange errors - though I'm running it on an emulated Indy. Will try to install on my O2.

build_key -d generates 1-day licenses. I modified this option to generate a custom time limit (20 years or whatever you like), and also the patch for "no expiry" licenses modifies this option. The "Licenser" tool also uses the "1-day" option (or patched version of the 1-day license) when you enter "demo" as the encryption key.

build_key -D generates 30-day licenses. I don't think there is any point to use this when we can generate longer time licenses, though maybe I was unclear earlier.

It seems "build_key" may set a flag in the demo licenses which I have not patched - when starting the software I get a "warning: license will expire in X days", even when generating keys expiring 10 years in the future or with "no expiry". Should be possible to fix this, though I think its just cosmetic, and the software still runs.
 

Ginzanix

Member
Aug 28, 2019
32
49
18
Finally works for me. I need make some steps and some different dates for my Advanced Visualizer v 4.2 installer and different date for Advanced Visualizer v 4.2.1 installer. Here my contribution based on the hard work of Ginzanix.
Great, I didn't notice you have to set up the Wavefront account using the setup program/utils. This was causing some errors when I tried to set up the user environment manually. I also changed the date from 1994 to 1996, and now I get no warnings regarding license expiry... seems everything works!

I'd also note that there are some bonus licenses which are not included if you run "Licenser" and enter "demo". These can be made manually later by running build_key -d.

There is also a small mistake in the patch script - the first patch does not "# remove "interrogate security key" function and license checksum error", but prints the password for generating demo keys.

tav42.PNG
 

kikems

Member
Jul 22, 2020
68
23
8
Spain
I found some executables not licensed in the Alias3 patch, tomorrow I'll test it on Irix 4 and explain the errors. For example not possible show rendered images because exe file used for it is not licensed and not work Raycaster mode because not licensed module. All other features of Alias3 apparently works.
 
  • Like
Reactions: Ginzanix

kikems

Member
Jul 22, 2020
68
23
8
Spain
After few test, final render not works in Raycast mode ( exit render with error code -1) , raytrace works but when try to show rendering image the alias app try call to usr/alias/sys/install/en for a valid encripted string .

For try it , load a model, go to Main menu -> render tab -> in render button open "control" window -> in render button choose raytrace or raycast. When render starts try use "show" button in control window ( this will be show rendering image in progress ) .
 

Attachments

Last edited:

Ginzanix

Member
Aug 28, 2019
32
49
18
Here is a new version of the Alias 3 (actually PowerAnimator v4) patch, now including patches for all the binaries with licensing! There are still some tiny licensing complaints from one or two binaries regarding the user interface (printer settings?), but I don't think it has any effect. Also need to fix the beta/time limit messages on starting Alias3, will see in the next version.

Rendering seems to work now (ignore the errors due to MAME emulation!).

http://nixzone.nl/patches/alias3patch_v002.tar

Capture.PNG
 

Ginzanix

Member
Aug 28, 2019
32
49
18
With some time on my hands, I updated the Alias3 patch to remove the beta and evaluation splash screens (due to all features being licensed).

Started work on an Alias 6a patch (9504). I actually have the original software for this! Just enough to start the application for now (don't mind the graphical errors in MAME).

http://nixzone.nl/patches/alias3patch_v003.tar

25/01/2021:

Updated Alias 6a patch with most render binaries, fixed render buttons and startup screen.

http://nixzone.nl/alias6a_patchv2.tar

20201230_171646.jpg
Bilde_2020-12-30_180619.png


Update - there was some kind of regression in Mame 212 or 213. The buttons look correct in Mame 211:

Bilde_2020-12-30_193854.png
 
Last edited:

kikems

Member
Jul 22, 2020
68
23
8
Spain
I'd test Alias6a patch on my SGI Indigo 2 Impact with Irix 6.2 but not works say ....
"No vInfoPtr, unable to get visuals. Alias internal error ESEC_AG".
Really I don't know if Alias 6 works with impact graphics or if it's a problem of the beta patch.
I need check it with other SGI machines.
 

Ginzanix

Member
Aug 28, 2019
32
49
18
I'd test Alias6a patch on my SGI Indigo 2 Impact with Irix 6.2 but not works say ....
"No vInfoPtr, unable to get visuals. Alias internal error ESEC_AG".
Really I don't know if Alias 6 works with impact graphics or if it's a problem of the beta patch.
I need check it with other SGI machines.
Unfortunately, I don't think it works with Impact graphics out of the box. I have a Indigo2 Solid Impact, and it doesn't seem to work. I think GIJoe also posted that it didn't work on his Impact graphics Indigo2. I am running it in MAME with XL graphics.

However, someone else posted a patch previously on Nekochan on how to make Irix report a different graphics hardware to the software. This could fix it, but also possible it simply doesnt work out or you get errors.

Here is the explanation - just remember to backup any files before editing!

https://gainos.org/~elf/sgi/nekonomicon/forum/11/16728499/1.html

Let me know if you try it and it works - if it does, it should be possible to only patch the Alias 6 application, and not make a system-wide change or use a script.
 
Last edited:
  • Like
Reactions: kikems

foetz

Member
Feb 19, 2019
89
41
18
it doesn't work because the internal things expected by older alias versions are different if you use a later graphics card.
 
  • Like
Reactions: kikems

kikems

Member
Jul 22, 2020
68
23
8
Spain
it doesn't work because the internal things expected by older alias versions are different if you use a later graphics card.
Ok, no problem we only want ensure that not work because it's not compatible hardware and not because a problem with patch.

I'm understand that alias 6 and lower versions only works on pre-impact graphics cards.
Alias 3 as COFF executables for old SGI with Irix 4 and 5, Alias 6 as ELF executables for SGI with Irix 5.x and Irix 6.x with pre-Impact gfx card.
For Impact series and later systems compatibility you need at least Alias 7.x
 
Last edited:

foetz

Member
Feb 19, 2019
89
41
18
I'm understand that alias 6 and lower versions only works on pre-impact graphics cards.
Alias 3 as COFF executables for old SGI with Irix 4 and 5, Alias 6 as ELF executables for SGI with Irix 5.x and Irix 6.x with pre-Impact gfx card.
For Impact series and later systems compatibility you need at least Alias 7.x
that's all correct with one exception: version 6 does work with infinite reality at least up to IR2 and it's very likely that IR3 and IR4 would work as well. so if you have an onyx with IR graphics you can run alias 6 on all irix versions up to 6.5.30. i can confirm the latter does work.
 
  • Like
Reactions: kikems

kikems

Member
Jul 22, 2020
68
23
8
Spain
Not install on XFS volumes, I'm suppose that installer script can be modified. The problem is that installer script can't check how many available disk space for install. Previous Alias3 install have a modified installer script for XFS volumes.
I'll try to modify this weekend.
 

foetz

Member
Feb 19, 2019
89
41
18
either that or just copy the already installed alias folder to an xfs disk. alias 6 does run from an xfs disk.
 

kikems

Member
Jul 22, 2020
68
23
8
Spain
Finally I have an Indy for old software Irix6.2 and 5.x test. I'd Install Alias6 with patch, application launch but give an error when load project , object or simply try to create a new project.
 

Ginzanix

Member
Aug 28, 2019
32
49
18
Hiya - you are correct, I tested it recently and got the same error. There probably are some more places which need to be patched, I will have a look when I have some time...
 

About us

  • Silicon Graphics User Group (SGUG) is a community for users, developers, and admirers of Silicon Graphics (SGI) products. We aim to be a friendly hobbyist community for discussing all aspects of SGIs, including use, software development, the IRIX Operating System, and troubleshooting, as well as facilitating hardware exchange.

User Menu